Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.metaabm.commands
Class SetDimensionalAttributesCommand

    java.lang.Object
      org.eclipse.emf.common.command.AbstractCommand
          org.eclipse.emf.edit.command.AbstractOverrideableCommand
              org.eclipse.emf.edit.command.SetCommand
                  org.metaabm.commands.SetDimensionalAttributesCommand

All Implemented Interfaces:
  org.eclipse.emf.common.command.Command, org.eclipse.emf.edit.command.OverrideableCommand

    public class SetDimensionalAttributesCommand

extends org.eclipse.emf.edit.command.SetCommand

Creates dimensional attributes for a given projection based on dimensions provided. For example, when setting dimensionality of 2, attributes for width and height will be created.

Author:
  milesparker

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.common.command.AbstractCommand
`org.eclipse.emf.common.command.AbstractCommand.NonDirtying`

Field Summary

Fields inherited from class org.eclipse.emf.edit.command.SetCommand
`UNSET_VALUE`

Constructor Summary
`SetDimensionalAttributesCommand(org.eclipse.emf.edit.domain.EditingDomain domain, org.eclipse.emf.ecore.EObject owner, org.eclipse.emf.ecore.EStructuralFeature feature, java.lang.Object value, int index)`

Method Summary
`void` | `doExecute()`
`void` | `doRedo()`
`void` | `doUndo()`

Methods inherited from class org.eclipse.emf.edit.command.SetCommand
`create, create, doCanUndo, doGetAffectedObjects, doGetResult, getFeature, getIndex, getOldValue, getOwner, getOwnerList, getValue, toString`

Methods inherited from class org.eclipse.emf.edit.command.AbstractOverrideableCommand
`canExecute, canUndo, dispose, doCanExecute, doDispose, doGetChildrenToCopy, doGetDescription, doGetLabel, execute, getAffectedObjects, getChildrenToCopy, getDescription, getDomain, getLabel, getOverride, getOwnerList, getResult, redo, setOverride, undo`

Methods inherited from class org.eclipse.emf.common.command.AbstractCommand
`chain, setDescription, setLabel`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.common.command.Command
`chain`

Constructor Detail

### SetDimensionalAttributesCommand

    public SetDimensionalAttributesCommand(org.eclipse.emf.edit.domain.EditingDomain domain,
                                           org.eclipse.emf.ecore.EObject owner,
                                           org.eclipse.emf.ecore.EStructuralFeature feature,
                                           java.lang.Object value,
                                           int index)

Method Detail

### doRedo

    public void doRedo()

  Specified by:
    `doRedo` in interface `org.eclipse.emf.edit.command.OverrideableCommand`
  Overrides:
    `doRedo` in class `org.eclipse.emf.edit.command.SetCommand`

### doUndo

    public void doUndo()

  Specified by:
    `doUndo` in interface `org.eclipse.emf.edit.command.OverrideableCommand`
  Overrides:
    `doUndo` in class `org.eclipse.emf.edit.command.SetCommand`

### doExecute

    public void doExecute()

  Specified by:
    `doExecute` in interface `org.eclipse.emf.edit.command.OverrideableCommand`
  Overrides:
    `doExecute` in class `org.eclipse.emf.edit.command.SetCommand`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD